summaryrefslogtreecommitdiff
path: root/t/yacc-grepping2.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-10-27 15:26:50 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-10-27 15:27:20 +0200
commit7a3e5c7c58d5f3dab27776b5b07e3d4e1b2e5fdd (patch)
tree4e7ea408376e36673964b13884ff4f8d30a098ad /t/yacc-grepping2.sh
parentd26ddc825605b6b6098fcc4be5dc33ac2a8a48d1 (diff)
downloadautomake-7a3e5c7c58d5f3dab27776b5b07e3d4e1b2e5fdd.tar.gz
tests: more meaningful names for some test cases
* t/yacc5.sh: Renamed ... * t/yacc-grepping2.sh: ... like this. * t/yacc7.sh: Renamed ... * t/yacc-headers-and-pr47.sh: ... like this. * t/yacc8.sh: Renamed ... * t/yacc-subdir.sh: ... like this. * t/subdir10.sh: Rename ... * t/subdir-env-interference.sh: ... like this. * t/specflg10.sh: Rename ... * t/am-default-source-ext.sh: ... like this. * t/suffix12.sh: Rename ... * t/suffix-custom-subobj.sh: ... like this. * t/suffix13.sh: Rename ... * t/suffix-custom-subobj-and-specflg.sh: ... like this. * t/check3.sh: Rename ... * t/built-sources-check.sh: ... like this. * t/subdirbuiltsources.sh: Rename ... * t/built-sources-subdir.sh: ... like this. * t/bsource.sh: Rename ... * t/no-spurious-install-recursive.sh: ... like this. * t/list-of-tests.mk: Adjust. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/yacc-grepping2.sh')
-rwxr-xr-xt/yacc-grepping2.sh80
1 files changed, 80 insertions, 0 deletions
diff --git a/t/yacc-grepping2.sh b/t/yacc-grepping2.sh
new file mode 100755
index 000000000..4382ded62
--- /dev/null
+++ b/t/yacc-grepping2.sh
@@ -0,0 +1,80 @@
+#! /bin/sh
+# Copyright (C) 2001-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test of yacc functionality, derived from GNU binutils
+# by Tim Van Holder.
+
+. ./defs || exit 1
+
+cat >> configure.ac << 'END'
+AC_PROG_CC
+AM_PROG_CC_C_O
+AC_PROG_YACC
+END
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = maude
+maude_SOURCES = sub/maude.y
+END
+
+mkdir sub
+
+: > sub/maude.y
+
+$ACLOCAL
+$AUTOMAKE -a
+
+grep '^maude\.c:.*maude\.y' Makefile.in
+
+
+## Try again with subdir-objects.
+
+cat > Makefile.am << 'END'
+AUTOMAKE_OPTIONS = subdir-objects
+bin_PROGRAMS = maude
+maude_SOURCES = sub/maude.y
+END
+
+$ACLOCAL
+$AUTOMAKE -a
+
+# No rule needed, the default .y.c: inference rule is enough
+# (but there may be an additional dependency on a dirstamp file).
+grep '^sub/maude\.c:.*maude\.y' Makefile.in && exit 1
+
+
+## Try again with per-exe flags.
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = maude
+maude_SOURCES = sub/maude.y
+## A particularly trickey case.
+maude_YFLAGS = -d
+END
+
+$ACLOCAL
+$AUTOMAKE -a
+
+# Rule should use maude_YFLAGS.
+grep 'AM_YFLAGS.*maude' Makefile.in && exit 1
+
+# Silly regression.
+grep 'maudec' Makefile.in && exit 1
+
+# Make sure the .o file is required.
+grep '^am_maude_OBJECTS.*maude' Makefile.in
+
+: